# version::get-major

[This is preliminary documentation and subject to change.]

Gets the value of the major component of a given version.

### Usage

`int version::get-major(version)`

### Parameters

Name | Type | Description
--- | --- | ---
version | Version | A version.

### Return Value

The major version number.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)

### See Also

assemblyname::get-version() | environment::get-version() | operating-system::get-version()